using Microsoft.AspNetCore.Http;
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface ICompanyService : IService<Company, CompanyDto, CompanyDto>
    {
      
        Task<List<CompanyDto>> GetAllCompanies();
        Task<UpdateCompanyDto> GetById();
        Task<CompanyDto> GetById(long companyId);
        Task<UpdateCompanyDto> GetByIdForUpdate(long companyId);
        Task Suspend(long companyId);
        Task<UpdateCompanyDto> Update(UpdateCompanyDto input);

    }
}
